xwiki-platform-chat and snapshots

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

xwiki-platform-chat and snapshots

Felix AtCurriki
Hi all,

I worked the last days to get the xwiki-platform-chat running in an example
installation. This project looks very interesting for us at Curriki. But I
think I have the "normal" problems at this point of time. The current
version of the xwiki-platform-chat at github seems to depend on the
4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
repository of xwiki nexus (
http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
Is that intended? Am I doing something wrong (Searching the wrong
repository)?

Apart from that it would be interesting what you think about the future of
the xwiki-platform-chat?
Is is intended to be pushed further, to newer versions of xwiki, or away
from the jetty dependency?

Thanks in advance
Felix

PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
to bring me to a "Build Successful" but the resulting .war seems not to be
assembled correctly (missing artifacts).
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

vmassol
Administrator
Hi Felix,

On Mar 3, 2013, at 12:19 PM, Felix T <[hidden email]> wrote:

> Hi all,
>
> I worked the last days to get the xwiki-platform-chat running in an example
> installation. This project looks very interesting for us at Curriki. But I
> think I have the "normal" problems at this point of time. The current
> version of the xwiki-platform-chat at github seems to depend on the
> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
> repository of xwiki nexus (
> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
> Is that intended? Am I doing something wrong (Searching the wrong
> repository)?

Note that snapshots are ephemeral by nature and the xwiki open source project only supports the last 2 versions (ie. the new version in construction and the last stable one). ATM this means 5.0-SNAPSHOT and 4.5.1.

We don't have a proper mechanism in place for cleaning up our snapshots though so you may older ones available but ideally they should all be cleaned except branches that are built by our cI (http//ci.xwiki.org) and that's 4.5.x and master (5.0-SNAPSHOT).

> Apart from that it would be interesting what you think about the future of
> the xwiki-platform-chat?
> Is is intended to be pushed further, to newer versions of xwiki, or away
> from the jetty dependency?

I believe the whole community would be interested in seeing some progress made on that. However, ATM I don't know anyone working actively on it, so feel free to make it progress further! If you need write access to https://github.com/xwiki-contrib/xwiki-platform-chat let us know and we'll grant it to you.

Thanks
-Vincent

> Thanks in advance
> Felix
>
> PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
> to bring me to a "Build Successful" but the resulting .war seems not to be
> assembled correctly (missing artifacts).
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

Sergiu Dumitriu-3
On 03/03/2013 07:03 AM, Vincent Massol wrote:

> Hi Felix,
>
> On Mar 3, 2013, at 12:19 PM, Felix T <[hidden email]> wrote:
>
>> Hi all,
>>
>> I worked the last days to get the xwiki-platform-chat running in an example
>> installation. This project looks very interesting for us at Curriki. But I
>> think I have the "normal" problems at this point of time. The current
>> version of the xwiki-platform-chat at github seems to depend on the
>> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
>> repository of xwiki nexus (
>> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
>> Is that intended? Am I doing something wrong (Searching the wrong
>> repository)?
>
> Note that snapshots are ephemeral by nature and the xwiki open source project only supports the last 2 versions (ie. the new version in construction and the last stable one). ATM this means 5.0-SNAPSHOT and 4.5.1.
>
> We don't have a proper mechanism in place for cleaning up our snapshots though so you may older ones available but ideally they should all be cleaned except branches that are built by our cI (http//ci.xwiki.org) and that's 4.5.x and master (5.0-SNAPSHOT).
>

That means that you should change the dependency to 4.5.1.

--
Sergiu Dumitriu
http://purl.org/net/sergiu
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

Paul Libbrecht-2
In reply to this post by vmassol

Hello fellow developers,

the ideal situation would be that someone transmits us a finished build of https://github.com/xwiki-contrib/xwiki-platform-chat  so that we can inspect it and port the changes to an environment that we trust.

Fabio? Anyone else having a 4.2-SNAPSHOT?

thanks in advance

Paul

PS: Ludovic, have I properly understood that http://extensions.xwiki.org/xwiki/bin/view/Extension/ChatApplication is an independent but more experimental chat application that does not use the XMPP protocol?


On 3 mars 2013, at 13:03, Vincent Massol wrote:

> Hi Felix,
>
> On Mar 3, 2013, at 12:19 PM, Felix T <[hidden email]> wrote:
>
>> Hi all,
>>
>> I worked the last days to get the xwiki-platform-chat running in an example
>> installation. This project looks very interesting for us at Curriki. But I
>> think I have the "normal" problems at this point of time. The current
>> version of the xwiki-platform-chat at github seems to depend on the
>> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
>> repository of xwiki nexus (
>> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
>> Is that intended? Am I doing something wrong (Searching the wrong
>> repository)?
>
> Note that snapshots are ephemeral by nature and the xwiki open source project only supports the last 2 versions (ie. the new version in construction and the last stable one). ATM this means 5.0-SNAPSHOT and 4.5.1.
>
> We don't have a proper mechanism in place for cleaning up our snapshots though so you may older ones available but ideally they should all be cleaned except branches that are built by our cI (http//ci.xwiki.org) and that's 4.5.x and master (5.0-SNAPSHOT).
>
>> Apart from that it would be interesting what you think about the future of
>> the xwiki-platform-chat?
>> Is is intended to be pushed further, to newer versions of xwiki, or away
>> from the jetty dependency?
>
> I believe the whole community would be interested in seeing some progress made on that. However, ATM I don't know anyone working actively on it, so feel free to make it progress further! If you need write access to https://github.com/xwiki-contrib/xwiki-platform-chat let us know and we'll grant it to you.
>
> Thanks
> -Vincent
>
>> Thanks in advance
>> Felix
>>
>> PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
>> to bring me to a "Build Successful" but the resulting .war seems not to be
>> assembled correctly (missing artifacts).

_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

Fabio Mancinelli-4
In reply to this post by Felix AtCurriki
On Sun, Mar 3, 2013 at 12:19 PM, Felix T <[hidden email]> wrote:

> Hi all,
>
> I worked the last days to get the xwiki-platform-chat running in an example
> installation. This project looks very interesting for us at Curriki. But I
> think I have the "normal" problems at this point of time. The current
> version of the xwiki-platform-chat at github seems to depend on the
> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
> repository of xwiki nexus (
> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
> Is that intended? Am I doing something wrong (Searching the wrong
> repository)?
>
> Apart from that it would be interesting what you think about the future of
> the xwiki-platform-chat?
> Is is intended to be pushed further, to newer versions of xwiki, or away
> from the jetty dependency?
>
> Thanks in advance
> Felix
>
> PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
> to bring me to a "Build Successful" but the resulting .war seems not to be
> assembled correctly (missing artifacts).
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs

Hi Felix,

I think that in this case you can safely put whatever version you want
in the POM...
I don't think that the application uses specific features. It was
4.2-SNAPSHOT because at the time it was the latest version available
and that's the only reason.

For the WAR assemblying I haven't checked lately. Maybe something has
changed in how XWiki modules are built so maybe it's just a matter of
updating this process.
Should not be that hard.

-Fabio
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

Fabio Mancinelli-4
I spoke too fast :)

Actually the version that was building fine was 4.0-SNAPSHOT.
But by using 4.0 I can't have a correct build. Everything is
successful but the Jetty distribution is empty.
The WAR seems fine but when deployed and after importing the ui-all
XAR it doesn't seem to work.

So it definitely needs some more investingation to make it compatible
with the latest releases.

-Fabio

On Wed, Mar 6, 2013 at 3:30 PM, Fabio Mancinelli
<[hidden email]> wrote:

> On Sun, Mar 3, 2013 at 12:19 PM, Felix T <[hidden email]> wrote:
>> Hi all,
>>
>> I worked the last days to get the xwiki-platform-chat running in an example
>> installation. This project looks very interesting for us at Curriki. But I
>> think I have the "normal" problems at this point of time. The current
>> version of the xwiki-platform-chat at github seems to depend on the
>> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
>> repository of xwiki nexus (
>> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
>> Is that intended? Am I doing something wrong (Searching the wrong
>> repository)?
>>
>> Apart from that it would be interesting what you think about the future of
>> the xwiki-platform-chat?
>> Is is intended to be pushed further, to newer versions of xwiki, or away
>> from the jetty dependency?
>>
>> Thanks in advance
>> Felix
>>
>> PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
>> to bring me to a "Build Successful" but the resulting .war seems not to be
>> assembled correctly (missing artifacts).
>> _______________________________________________
>> devs mailing list
>> [hidden email]
>> http://lists.xwiki.org/mailman/listinfo/devs
>
> Hi Felix,
>
> I think that in this case you can safely put whatever version you want
> in the POM...
> I don't think that the application uses specific features. It was
> 4.2-SNAPSHOT because at the time it was the latest version available
> and that's the only reason.
>
> For the WAR assemblying I haven't checked lately. Maybe something has
> changed in how XWiki modules are built so maybe it's just a matter of
> updating this process.
> Should not be that hard.
>
> -Fabio
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: xwiki-platform-chat and snapshots

Felix AtCurriki
Hi Fabio,

thanks for you answer. The behavior you mentioned is exactly what I got, but with version 4.2.
Sound's like you don't have a running binary either? To sad.

Thanks in advance
Felix

Am 06.03.2013 um 16:27 schrieb Fabio Mancinelli <[hidden email]>:

> I spoke too fast :)
>
> Actually the version that was building fine was 4.0-SNAPSHOT.
> But by using 4.0 I can't have a correct build. Everything is
> successful but the Jetty distribution is empty.
> The WAR seems fine but when deployed and after importing the ui-all
> XAR it doesn't seem to work.
>
> So it definitely needs some more investingation to make it compatible
> with the latest releases.
>
> -Fabio
>
> On Wed, Mar 6, 2013 at 3:30 PM, Fabio Mancinelli
> <[hidden email]> wrote:
>> On Sun, Mar 3, 2013 at 12:19 PM, Felix T <[hidden email]> wrote:
>>> Hi all,
>>>
>>> I worked the last days to get the xwiki-platform-chat running in an example
>>> installation. This project looks very interesting for us at Curriki. But I
>>> think I have the "normal" problems at this point of time. The current
>>> version of the xwiki-platform-chat at github seems to depend on the
>>> 4.2-SNAPSHOT version of xwiki. but I can not find them in the snapshot
>>> repository of xwiki nexus (
>>> http://nexus.xwiki.org/nexus/content/groups/public-snapshots).
>>> Is that intended? Am I doing something wrong (Searching the wrong
>>> repository)?
>>>
>>> Apart from that it would be interesting what you think about the future of
>>> the xwiki-platform-chat?
>>> Is is intended to be pushed further, to newer versions of xwiki, or away
>>> from the jetty dependency?
>>>
>>> Thanks in advance
>>> Felix
>>>
>>> PS: I tried to remove all the "SNAPSHOT"s and go for version 4.2 this seems
>>> to bring me to a "Build Successful" but the resulting .war seems not to be
>>> assembled correctly (missing artifacts).
>>> _______________________________________________
>>> devs mailing list
>>> [hidden email]
>>> http://lists.xwiki.org/mailman/listinfo/devs
>>
>> Hi Felix,
>>
>> I think that in this case you can safely put whatever version you want
>> in the POM...
>> I don't think that the application uses specific features. It was
>> 4.2-SNAPSHOT because at the time it was the latest version available
>> and that's the only reason.
>>
>> For the WAR assemblying I haven't checked lately. Maybe something has
>> changed in how XWiki modules are built so maybe it's just a matter of
>> updating this process.
>> Should not be that hard.
>>
>> -Fabio
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs

_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs